# -*- rpm-spec -*-

Name: virt-viewer
Version: 0.0.2
Release: 1%{?dist}
Summary: Virtual Machine Viewer

Group: Applications/System
License: GPLv2+
URL: http://virt-manager.org/
Source0: http://virt-manager.org/download/sources/%{name}/%{name}-%{version}.tar.gz
Patch1: %{name}-%{version}-vnc-credential-name.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtk2-devel
BuildRequires: libvirt-devel >= 0.3.1
BuildRequires: libxml2-devel
BuildRequires: gtk-vnc-devel >= 0.1.0
BuildRequires: /usr/bin/pod2man

# Because libvirt is only built on these arches. 
ExclusiveArch: i386 i686 x86_64 ia64


%description
Virtual Machine Viewer provides a graphical console client for connecting
to virtual machines. It uses the GTK-VNC widget to provide the display,
and libvirt for looking up VNC server details.

%prep
%setup -q
%patch1 -p1

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install  DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING AUTHORS NEWS
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*

%changelog
* Thu Jan 10 2008 Daniel Berrange <berrange@t60wlan.home.berrange.com> - 0.0.2-1
- Updated to 0.0.2 release

* Mon Aug 20 2007 Daniel P. Berrange <berrange@redhat.com> - 0.0.1-1.fc7
- First release
- Restrict built to x86 & ia64 because libvirt is only on those arches


